<template>
    <div class="NewListe">
        <div class="text-center">
            <h1>Création d'une nouvelle liste</h1>
        </div>

        <div class="form">
            <div class="form-group">
                <label for="libelle">Libelle</label>
                <input id="libelle" type="text" class="form-control" v-model="liste.libelle" placeholder="Libelle">
            </div>

            <div class="form-group">
                <label for="description">Description</label>
                <input id="description" class="form-control" type="text" v-model="liste.description" placeholder="Description">
            </div>

            <div class="text-center">
                <button type="button" class="btn btn-success text-center" @click="add()">Créer</button>
            </div>
        </div>

    </div>
</template>

<script>
    export default {
        name: 'NewListe',
        data: () => ({
            liste: {
                libelle: '',
                description: '',
                id: null
            },
        }),
        methods: {
            //Méthode d'ajout d'une liste
            add() {
                const liste = {
                    id: this.getLastId() + 1,
                    libelle: this.liste.libelle,
                    description: this.liste.description,
                    items: []
                };

                let listes = JSON.parse((localStorage.getItem('listes'))) || [];
                listes.push(liste);
                localStorage.setItem('listes', JSON.stringify(listes));
                this.$router.push({name: 'listing'})
            },
            getLastId(){

                let val;
                let long;

                if(!JSON.parse(localStorage.getItem('listes')) || JSON.parse(localStorage.getItem('listes')).length === 0){
                    val = 0;
                }else{

                    long = JSON.parse(localStorage.getItem('listes')).length -1;
                    val = JSON.parse(localStorage.getItem('listes'))[long].id;
                }

                return val;
            }
        }
    }
</script>